Bug 31685 - CD-ROM drives are not mounted in remote sessions
CD-ROM drives are not mounted in remote sessions
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Hardware and device support
unspecified
Other Linux
: P5 normal
: UCC 1.0-errata
Assigned To: Felix Botner
Moritz Muehlenhoff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 13:41 CEST by Jan Christoph Ebersbach
Modified: 2013-07-25 12:35 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Fix handling of CD-ROM drives (565 bytes, patch)
2013-06-10 13:41 CEST, Jan Christoph Ebersbach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2013-06-10 13:41:08 CEST
Created attachment 5270 [details]
Fix handling of CD-ROM drives

The add_fstab_entry script quits as soon as it detects that the handled device is not attached to the USB bus.  Normal CD-ROM drives are therefore not handled properly and the cdpinger program is never executed.
Comment 1 Felix Botner univentionstaff 2013-06-17 14:56:19 CEST
fixed in ucc-errata for 3.1
Comment 2 Felix Botner univentionstaff 2013-06-27 10:37:51 CEST
added "cd" as valid device type in add_fstab_entry (univention-ucc-remote-mount)

-if [ "$ID_BUS" != "usb" ]; then
+ if [ "$ID_BUS" != "usb" ] && [ "${ID_TYPE}" != "cd" ]; then
Comment 3 Moritz Muehlenhoff univentionstaff 2013-06-27 12:49:53 CEST
That addresses the case that a non-USB drive is used for the remote mount, e.g. if a standard desktop system is used a thin client.

Functional QA occured through Bug 31713. Same for the YAMl file.
Comment 4 Moritz Muehlenhoff univentionstaff 2013-07-25 12:35:55 CEST
http://errata.univention.de/ucc/1.0/14.html